import java.util.Vector;

// Lrp Network Monitor: Simple network monitor written in Java
// Copyright (C) 2000 Martin Hejl
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


/**
 * Class that holds the information gathered from the parameters given to the applet
 *
 * @author       Martin Hejl
 * @version      20001105 0.2beta
 */
public class InterfaceOptions {
	public static final long DEVICE_TYPE_STATIC = 1;
	public static final long DEVICE_TYPE_DYNAMIC = 2;


	public String deviceName;
	public long deviceType;
	public long maxThroughput;
	public String controlType;
	public Vector actions=new Vector();

}
